%define upstream_name    Sub-Mage
%define upstream_version 0.032

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Multi-Use utility for manipulating subroutines, classes and more
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
What this module attempts to do is make a developers life easier by
allowing them to manage and manipulate subroutines and modules. You can
override a subroutine, then restore it as it was originally, create after,
before and around hook modifiers, delete subroutines, or even tag every
subroutine in a class to let you know when each one is being run, which is
great for debugging.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.32.0-3.mga4
+ Revision: 514716
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.32.0-2.mga3
+ Revision: 372891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 shlomif <shlomif> 0.32.0-1.mga3
+ Revision: 332424
- update to 0.032

* Fri Nov 09 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 316773
- update to 0.030

* Sat Jun 02 2012 kharec <kharec> 0.20.0-1.mga3
+ Revision: 253310
- imported package perl-Sub-Mage


* Sat Jun 02 2012 cpan2dist 0.020-1mga
- initial mageia release, generated with cpan2dist
